Search results

Open a Dialog on condition in JavaScript (ES5) Dialog control

23 Mar 2023 / 2 minutes to read

You can prevent opening of the dialog by setting the beforeOpen event argument cancel value to true. In the following sample, the success dialog is opened when you enter the username value with minimum 4 characters. Otherwise, it will not be opened.

Source
Preview
index.js
index.html
styles.css
Copied to clipboard
// To get the all input fields and its container.
var inputElement = document.querySelectorAll('.e-input-group .e-input,.e-float-input.e-input-group input');

// Add 'e-input-focus' class to the input for achive ripple effect when focus on the input field.
for (var i = 0; i < inputElement.length; i++) {
    inputElement[i].addEventListener("focus", function () {
        var parentElement = this.parentNode;
        if (parentElement.classList.contains('e-input-in-wrap')) {
            parentElement.parentNode.classList.add('e-input-focus');
        }
        else {
            this.parentNode.classList.add('e-input-focus');
        }
    });
    inputElement[i].addEventListener("blur", function () {
        var parentElement = this.parentNode;
        if (parentElement.classList.contains('e-input-in-wrap')) {
            parentElement.parentNode.classList.remove('e-input-focus');
        }
        else {
            this.parentNode.classList.remove('e-input-focus');
        }
    });
}

// Add 'e-input-btn-ripple' class to the icon element for achive ripple effect when click on the icon.
var inputIcon = document.querySelectorAll('.e-input-group-icon');
for (var i = 0; i < inputIcon.length; i++) {
    inputIcon[i].addEventListener('mousedown', function () {
        this.classList.add('e-input-btn-ripple');
    });
    inputIcon[i].addEventListener('mouseup', function () {
        var element = this;
        setTimeout(function () {
            element.classList.remove('e-input-btn-ripple');
        }, 500);
    });
}
ej.base.enableRipple(true);

// Initialize Dialog component
var dialog = new ej.popups.Dialog({
    header: 'Success',
    buttons: [
        {
            // Click the footer buttons to hide the Dialog
            'click': function () {
                dialog.hide();
            },
            // Accessing button component properties by buttonModel property
            buttonModel: {
                //Enables the primary button
                isPrimary: true,
                cssClass: 'e-flat',
                content: 'Dismiss'
            }
        }
    ],
    // Dialog content
    content: 'Congratulations! Login Success',
    // The Dialog shows within the target element
    target: document.getElementById("container"),
    // Dialog width
    width: '280px',
    isModal: true,
    visible: false,
    beforeOpen: validation
});

// Render initialized Dialog
dialog.appendTo('#dialog');

document.getElementById('targetButton').onclick = function () {
    dialog.show();
};

function validation(args) {
    let text = document.getElementById('textvalue');
    let text1 = document.getElementById('textvalue2');
    if (text.value === "" && text1.value === "") {
        args.cancel= true;
        alert("Enter the username and password")
    } else if (text.value === "") {
        args.cancel= true;
        alert("Enter the username")
    } else if (text1.value === "") {
        args.cancel= true;
        alert("Enter the password")
    } else if (text.value.length < 4) {
        args.cancel= true;
        alert("Username must be minimum 4 characters")
    } else {
        args.cancel= false;
        document.getElementById("textvalue").value = "";
        document.getElementById("textvalue2").value = "";
    }
}
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>Essential JS 2 Dialog</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript UI Components">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.1.35/ej2-base/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.1.35/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.1.35/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.1.35/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.1.35/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="login-form">
            <div class="wrap">
                <div id="heading">Sign in</div>
                <div id="input-container">
                    <div class="e-float-input e-input-group">
                        <input id="textvalue" type="text" required="">
                        <span class="e-float-line"></span>
                        <label class="e-float-text">Username</label>
                    </div>
                    <div class="e-float-input e-input-group">
                        <input id="textvalue2" type="password" required="">
                        <span class="e-float-line"></span>
                        <label class="e-float-text">Password</label>
                    </div>
                </div>
              <div class="button-contain">
                <button class="e-control e-btn e-info" id="targetButton" role="button" e-ripple="true">Log in</button>
              </div>
            </div>
         </div>
        <div id="dialog"></div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
Copied to clipboard
html,
body,    
#container {
    height: 100%;
    overflow: hidden;
    width: 100%;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 30px;
  width: 340px;
  background: #f7f7f7;
}
#input-container .e-float-input { /* csslint allow: adjoining-classes */
  margin: 17px 0;
}
.wrap #input-container .e-control e-btn { /* csslint allow: adjoining-classes */
    margin: 3% 26%;
}

.text-center {
    text-align: center;
}

#content {
    margin-top: 12px;
}

.button-contain {
    padding: 20px 0 0;
    width: 100%;
}

.button-contain .e-btn { /* csslint allow: adjoining-classes */
    width: 100%;
    height: 36px;
}

#heading {
    color: #333;
    font-weight: bold;
    margin: 0 0 15px;
    text-align: center;
    font-size: 20px;
}

.login-form {
    width: 340px;
    margin: 50px auto;
}

#dialog.e-dialog .e-footer-content {
    text-align: center;
}

Prevent opening of the dialog in Vue Dialog component

5 Jun 202418 minutes to read

You can prevent opening of the dialog by setting the beforeOpen event argument cancel value to true.
In the following sample, the success dialog is opened when you enter the username value with minimum 4 characters. Otherwise, it will not be opened.

<template>
    <div>
        <div id="dialogTarget" class="control-section; position:relative" style="height:300px;">
            <div class="login-form">
                <div class='wrap'>
                    <div id="heading">Sign in</div>
                    <div class="e-float-input">
                        <input id="textvalue" type="text" required />
                        <span class="e-float-line"></span>
                        <label class="e-float-text">Username</label>
                    </div>
                    <div class="e-float-input">
                        <input id="textvalue2" type="password" required />
                        <span class="e-float-line"></span>
                        <label class="e-float-text">Password</label>
                    </div>
                    <div class="button-contain">
                        <ejs-button id="dialogbtn" cssClass="e-info" v-on:click="dialogBtnClick">Log in</ejs-button>
                    </div>
                </div>
            </div>
            <ejs-dialog id="dialog" ref="Dialog" :header='header' :isModal='isModal' :target='target' :width='width'
                :buttons='buttons' :animationSettings='animationSettings' :visible='visible' :content='content'
                :beforeOpen="validation" :close="modalDlgClose">
            </ejs-dialog>
        </div>
    </div>
</template>
<script setup>
import { DialogComponent as EjsDialog } from '@syncfusion/ej2-vue-popups';
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { onMounted, ref } from 'vue';

const Dialog = ref(null);
const target = "#dialogTarget";
const width = '250px';
const visible = false;
const header = 'Success';
const isModal = true;
const content = 'Congratulations! Login Success';
const animationSettings = { effect: 'None' };

onMounted(() => {
    document.getElementById('dialogbtn').focus();
});

const dialogBtnClick = () => {
    Dialog.value.show();
};
const modalDlgClose = () => {
    document.getElementById('dialogbtn').style.display = '';
};
const dlgButtonClick = () => {
    Dialog.value.hide();
};
const validation = (args) => {
    let text = document.getElementById('textvalue');
    let text1 = document.getElementById('textvalue2');
    if (text.value === "" && text1.value === "") {
        args.cancel = true;
        alert("Enter the username and password")
    } else if (text.value === "") {
        args.cancel = true;
        alert("Enter the username")
    } else if (text1.value === "") {
        args.cancel = true;
        alert("Enter the password")
    } else if (text.value.length < 4) {
        args.cancel = true;
        alert("Username must be minimum 4 characters")
    } else {
        args.cancel = false;
        document.getElementById("textvalue").value = "";
        document.getElementById("textvalue2").value = "";
    }
};
const buttons = [{ click: dlgButtonClick, buttonModel: { content: 'Dismiss', isPrimary: true } }];
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#app {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.control-section {
    height: 100%;
    min-height: 200px;
}

.wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 30px;
    width: 340px;
    background: #f7f7f7;
}

.wrap .e-float-input {
    /* csslint allow: adjoining-classes */
    margin: 17px 0;
}

.text-center {
    text-align: center;
}

#content {
    margin-top: 12px;
}

.button-contain {
    padding: 20px 0 0;
    width: 100%;
}

.button-contain .e-btn {
    /* csslint allow: adjoining-classes */
    width: 100%;
    height: 36px;
}

#heading {
    color: #333;
    font-weight: bold;
    margin: 0 0 15px;
    text-align: center;
    font-size: 20px;
}

.login-form {
    width: 340px;
    margin: 50px auto;
}

#dialog.e-dialog .e-footer-content {
    text-align: center;
}
</style>
<template>
    <div>
        <div id="dialogTarget" class="control-section; position:relative" style="height:300px;">
            <div class="login-form">
                <div class='wrap'>
                    <div id="heading">Sign in</div>
                    <div class="e-float-input">
                        <input id="textvalue" type="text" required />
                        <span class="e-float-line"></span>
                        <label class="e-float-text">Username</label>
                    </div>
                    <div class="e-float-input">
                        <input id="textvalue2" type="password" required />
                        <span class="e-float-line"></span>
                        <label class="e-float-text">Password</label>
                    </div>
                    <div class="button-contain">
                        <ejs-button id="dialogbtn" cssClass="e-info" v-on:click="dialogBtnClick">Log in</ejs-button>
                    </div>
                </div>
            </div>
            <ejs-dialog id="dialog" ref="Dialog" :header='header' :isModal='isModal' :target='target' :width='width'
                :buttons='buttons' :animationSettings='animationSettings' :visible='visible' :content='content'
                :beforeOpen="validation" :close="modalDlgClose">
            </ejs-dialog>
        </div>
    </div>
</template>
<script>
import { DialogComponent } from '@syncfusion/ej2-vue-popups';
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';

export default {
    name: "App",
    components: {
        "ejs-button": ButtonComponent,
        "ejs-dialog": DialogComponent,
    },
    data: function () {
        return {
            target: "#dialogTarget",
            width: '250px',
            visible: false,
            header: 'Success',
            isModal: true,
            content: 'Congratulations! Login Success',
            buttons: [{ click: this.dlgButtonClick, buttonModel: { content: 'Dismiss', isPrimary: true } }],
            animationSettings: { effect: 'None' }
        }
    },
    mounted: function () {
        document.getElementById('dialogbtn').focus();
    },
    methods: {
        dialogBtnClick: function () {
            this.$refs.Dialog.show();
        },
        modalDlgClose: function () {
            document.getElementById('dialogbtn').style.display = '';
        },
        dlgButtonClick: function () {
            this.$refs.Dialog.hide();
        },
        validation: function (args) {
            let text = document.getElementById('textvalue');
            let text1 = document.getElementById('textvalue2');
            if (text.value === "" && text1.value === "") {
                args.cancel = true;
                alert("Enter the username and password")
            } else if (text.value === "") {
                args.cancel = true;
                alert("Enter the username")
            } else if (text1.value === "") {
                args.cancel = true;
                alert("Enter the password")
            } else if (text.value.length < 4) {
                args.cancel = true;
                alert("Username must be minimum 4 characters")
            } else {
                args.cancel = false;
                document.getElementById("textvalue").value = "";
                document.getElementById("textvalue2").value = "";
            }
        }
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#app {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.control-section {
    height: 100%;
    min-height: 200px;
}

.wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 30px;
    width: 340px;
    background: #f7f7f7;
}

.wrap .e-float-input {
    /* csslint allow: adjoining-classes */
    margin: 17px 0;
}

.text-center {
    text-align: center;
}

#content {
    margin-top: 12px;
}

.button-contain {
    padding: 20px 0 0;
    width: 100%;
}

.button-contain .e-btn {
    /* csslint allow: adjoining-classes */
    width: 100%;
    height: 36px;
}

#heading {
    color: #333;
    font-weight: bold;
    margin: 0 0 15px;
    text-align: center;
    font-size: 20px;
}

.login-form {
    width: 340px;
    margin: 50px auto;
}

#dialog.e-dialog .e-footer-content {
    text-align: center;
}
</style>

Prevent opening of the dialog in Angular Dialog component

19 Sep 20228 minutes to read

You can prevent opening of the dialog by setting the beforeOpen event argument cancel value to true.
In the following sample, the success dialog is opened when you enter the username value with minimum 4 characters. Otherwise, it will not be opened.

import { Component, ViewChild, OnInit, ElementRef } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';

@Component({
    selector: 'app-root',
    template: `
    <div class="login-form">
          <div class="wrap">
            <div id="heading">Sign in</div>
              <div class="e-float-input e-input-group">
                <input id="textvalue" type="text" required (focus)="focusIn($event.target)" (blur)="focusOut($event.target)"/>
                <span class="e-float-line"></span>
                <label class="e-float-text">Username</label>
              </div>
              <div class="e-float-input e-input-group">
                <input id="textvalue2" type="password" required (focus)="focusIn($event.target)" (blur)="focusOut($event.target)"/>
                <span class="e-float-line"></span>
                <label class="e-float-text">Password</label>
              </div>
              <div class="button-contain">
                <button class="e-control e-btn e-info" id="targetButton" (click)="onOpenDialog($event)">Log in</button>
              </div>
          </div>
        </div>
    <div #container class='root-container'>
      <ejs-dialog id='dialog' #ejDialog isModal='true' content='Congratulations! Login Success' [visible]='visible' header='Success' (beforeOpen)="validation($event)"[buttons]='buttons' [target]='targetElement' width='280px'>
      </ejs-dialog>
    </div> `
})

export class AppComponent {
    @ViewChild('ejDialog') ejDialog: DialogComponent;
   // The Dialog shows within the target element.
    @ViewChild('container', { read: ElementRef }) container: ElementRef;
    // The Dialog shows within the target element.
    public targetElement: HTMLElement;

    //To get all element of the dialog component after component get initialized.
    ngOnInit() {
      this.initilaizeTarget();
    }

    public focusIn(target: HTMLElement): void {
        let parent: HTMLElement = target.parentElement;
        if (parent.classList.contains('e-input-in-wrap') {
            parent.parentElement.classList.add('e-input-focus');
        } else {
            parent.classList.add('e-input-focus');
        }
    }

    public focusOut(target: HTMLElement): void {
        let parent: HTMLElement = target.parentElement;
        if (parent.classList.contains('e-input-in-wrap') {
            parent.parentElement.classList.remove('e-input-focus');
        } else {
            parent.classList.remove('e-input-focus');
        }
    }
    public visible: Boolean = false;
    // Hide the Dialog when click the footer button.
    public hideDialog: EmitType<object> = () => {
        this.ejDialog.hide();
    }
    // Enables the footer buttons
    public buttons: Object = [
        {
            'click': this.hideDialog.bind(this),
            // Accessing button component properties by buttonModel property
              buttonModel:{
              content:'Dismiss',
              //Enables the primary button
              isPrimary: true
            }
        }
    ];

    // Initialize the Dialog component target element.
    public initilaizeTarget: EmitType<object> = () => {
      this.targetElement = this.container.nativeElement.parentElement;
    }
    public validation (event: any): void {
        let text = document.getElementById('textvalue');
        let text1 = document.getElementById('textvalue2');
        if (text.value === "" && text1.value === "") {
            event.cancel= true;
            alert("Enter the username and password")
        } else if (text.value === "") {
            event.cancel= true;
            alert("Enter the username")
        } else if (text1.value === "") {
            event.cancel= true;
            alert("Enter the password")
        } else if (text.value.length < 4) {
            event.cancel= true;
            alert("Username must be minimum 4 characters")
        } else {
            event.cancel= false;
            document.getElementById("textvalue").value = "";
            document.getElementById("textvalue2").value = "";
        }
    }
    // Sample level code to handle the button click action
    public onOpenDialog = function(event: any): void {
        // Call the show method to open the Dialog
        this.ejDialog.show();
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { DialogModule } from '@syncfusion/ej2-angular-popups';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
		DialogModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Prevent opening of the dialog in React Dialog component

18 Jan 202324 minutes to read

You can prevent opening of the dialog by setting the beforeOpen event argument cancel value to true. In the following sample, the success dialog is opened when you enter the username value with minimum 4 characters. Otherwise, it will not be opened.

[Class-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
class App extends React.Component {
    userName;
    password;
    dialogInstance;
    buttons = [{
            buttonModel: {
                content: 'DISMISS',
                cssClass: 'e-primary',
                isPrimary: true,
            },
            'click': () => {
                this.dialogInstance.hide();
            }
        }];
    onSubmit() {
        this.dialogInstance.show();
    }
    validation = (args) => {
        if (this.userName.value === "" && this.password.value === "") {
            args.cancel = true;
            alert("Enter the username and password");
        }
        else if (this.userName.value === "") {
            args.cancel = true;
            alert("Enter the username");
        }
        else if (this.userName.value === "") {
            args.cancel = true;
            alert("Enter the password");
        }
        else if (this.userName.value.length < 4) {
            args.cancel = true;
            alert("Username must be minimum 4 characters");
        }
        else {
            args.cancel = false;
            this.userName.value = "";
            this.password.value = "";
        }
    };
    onInputFocus = (args) => {
        if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
            args.target.parentElement.classList.add('e-input-focus');
        }
        else {
            args.target.parentElement.parentElement.classList.add('e-input-focus');
        }
    };
    onInputBlur = (args) => {
        if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
            args.target.parentElement.classList.remove('e-input-focus');
        }
        else {
            args.target.parentElement.parentElement.classList.remove('e-input-focus');
        }
    };
    render() {
        return (<div className='App' id='dialog-target'>
        <div className="login-form">
            <div className='wrap'>
                <div id="heading">Sign in</div>
                <div className="e-float-input">
                    <input id="textvalue" type="text" required={true} ref={user => this.userName = user} onFocus={this.onInputFocus} onBlur={this.onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Username</label>
                </div>
                <div className="e-float-input">
                    <input id="textvalue2" type="password" required={true} ref={pwd => this.password = pwd} onFocus={this.onInputFocus} onBlur={this.onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Password</label>
                </div>
                <div className="button-contain">
                    <button className="e-control e-btn e-info" id="targetButton" role="button" e-ripple="true" onClick={this.onSubmit = this.onSubmit.bind(this)}>Log in</button>
                </div>
            </div>
        </div>
    <DialogComponent id='dialog' header='Success' buttons={this.buttons} beforeOpen={this.validation} content='Congratulations! Login Success' width='250px' isModal={true} ref={dialog => this.dialogInstance = dialog} visible={false} target='#dialog-target'/></div>);
    }
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

class App extends React.Component<{}, {}> {
public userName: HTMLInputElement;
public password: HTMLInputElement;
public dialogInstance: DialogComponent;

private buttons: any = [{
    buttonModel: {
        content: 'DISMISS',
        cssClass: 'e-primary',
        isPrimary: true,
    },
    'click': () => {
        this.dialogInstance.hide();
    }
}];

public onSubmit(): void {
  this.dialogInstance.show();
}

public validation = (args: any): void => {
    if (this.userName.value === "" && this.password.value === "") {
        args.cancel= true;
        alert("Enter the username and password")
    } else if (this.userName.value === "") {
        args.cancel= true;
        alert("Enter the username")
    } else if (this.userName.value === "") {
        args.cancel= true;
        alert("Enter the password")
    } else if (this.userName.value.length < 4) {
        args.cancel= true;
        alert("Username must be minimum 4 characters")
    } else {
        args.cancel= false;
        this.userName.value = "";
        this.password.value = "";
    }
}
public onInputFocus = (args: any) => {
    if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
        args.target.parentElement.classList.add('e-input-focus');
    } else {
        args.target.parentElement.parentElement.classList.add('e-input-focus')
    }
}



public onInputBlur = (args: any) => {
    if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
    args.target.parentElement.classList.remove('e-input-focus');
    } else {
        args.target.parentElement.parentElement.classList.remove('e-input-focus');
    }
}

public render() {
    return (
    <div className='App' id='dialog-target'>
        <div className="login-form" >
            <div className='wrap'>
                <div id="heading">Sign in</div>
                <div className="e-float-input">
                    <input id="textvalue" type="text" required = {true} ref = {user => this.userName = user!} onFocus = {this.onInputFocus} onBlur = {this.onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Username</label>
                </div>
                <div className="e-float-input">
                    <input id="textvalue2" type="password" required = {true} ref = {pwd => this.password = pwd!} onFocus = {this.onInputFocus} onBlur = {this.onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Password</label>
                </div>
                <div className="button-contain">
                    <button className="e-control e-btn e-info" id="targetButton" role="button" e-ripple="true" onClick = {this.onSubmit = this.onSubmit.bind(this)}>Log in</button>
                </div>
            </div>
        </div>
    <DialogComponent id='dialog' header='Success' buttons={this.buttons} beforeOpen = {this.validation} content='Congratulations! Login Success' width='250px' isModal={true} ref={dialog => this.dialogInstance = dialog!} visible={false}
target='#dialog-target'/></div>
    )
}
}
export default App;

[Functional-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
function App() {
    let userName;
    let password;
    let dialogInstance;
    const buttons = [{
            buttonModel: {
                content: 'DISMISS',
                cssClass: 'e-primary',
                isPrimary: true,
            },
            'click': () => {
                dialogInstance.hide();
            }
        }];
    function onSubmit() {
        dialogInstance.show();
    }
    function validation(args) {
        if (userName.value === "" && password.value === "") {
            args.cancel = true;
            alert("Enter the username and password");
        }
        else if (userName.value === "") {
            args.cancel = true;
            alert("Enter the username");
        }
        else if (userName.value === "") {
            args.cancel = true;
            alert("Enter the password");
        }
        else if (userName.value.length < 4) {
            args.cancel = true;
            alert("Username must be minimum 4 characters");
        }
        else {
            args.cancel = false;
            userName.value = "";
            password.value = "";
        }
    }
    function onInputFocus(args) {
        if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
            args.target.parentElement.classList.add('e-input-focus');
        }
        else {
            args.target.parentElement.parentElement.classList.add('e-input-focus');
        }
    }
    function onInputBlur(args) {
        if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
            args.target.parentElement.classList.remove('e-input-focus');
        }
        else {
            args.target.parentElement.parentElement.classList.remove('e-input-focus');
        }
    }
    return (<div className='App' id='dialog-target'>
        <div className="login-form">
            <div className='wrap'>
                <div id="heading">Sign in</div>
                <div className="e-float-input">
                    <input id="textvalue" type="text" required={true} ref={user => userName = user} onFocus={onInputFocus} onBlur={onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Username</label>
                </div>
                <div className="e-float-input">
                    <input id="textvalue2" type="password" required={true} ref={pwd => password = pwd} onFocus={onInputFocus} onBlur={onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Password</label>
                </div>
                <div className="button-contain">
                    <button className="e-control e-btn e-info" id="targetButton" role="button" e-ripple="true" onClick={onSubmit.bind(this)}>Log in</button>
                </div>
            </div>
        </div>
    <DialogComponent id='dialog' header='Success' buttons={buttons} beforeOpen={validation} content='Congratulations! Login Success' width='250px' isModal={true} ref={dialog => dialogInstance = dialog} visible={false} target='#dialog-target'/></div>);
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

function App(){
    let userName: HTMLInputElement;
    let password: HTMLInputElement;
    let dialogInstance: DialogComponent;
    const buttons: any = [{
        buttonModel: {
            content: 'DISMISS',
            cssClass: 'e-primary',
            isPrimary: true,
        },
        'click': () => {
            dialogInstance.hide();
        }
    }];

function onSubmit(): void {
    dialogInstance.show();
}

function validation (args: any): void {
    if (userName.value === "" && password.value === "") {
        args.cancel= true;
        alert("Enter the username and password")
    } else if (userName.value === "") {
        args.cancel= true;
        alert("Enter the username")
    } else if (userName.value === "") {
        args.cancel= true;
        alert("Enter the password")
    } else if (userName.value.length < 4) {
        args.cancel= true;
        alert("Username must be minimum 4 characters")
    } else {
        args.cancel= false;
        userName.value = "";
        password.value = "";
    }
}

function onInputFocus(args: any) {
    if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
        args.target.parentElement.classList.add('e-input-focus');
    } else {
        args.target.parentElement.parentElement.classList.add('e-input-focus')
    }
}

function onInputBlur (args: any) {
    if (!args.target.parentElement.classList.contains('e-input-in-wrap')) {
    args.target.parentElement.classList.remove('e-input-focus');
    } else {
        args.target.parentElement.parentElement.classList.remove('e-input-focus');
    }
}

return (
    <div className='App' id='dialog-target'>
        <div className="login-form" >
            <div className='wrap'>
                <div id="heading">Sign in</div>
                <div className="e-float-input">
                    <input id="textvalue" type="text" required = {true} ref = {user => userName = user!} onFocus = {onInputFocus} onBlur = {onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Username</label>
                </div>
                <div className="e-float-input">
                    <input id="textvalue2" type="password" required = {true} ref = {pwd => password = pwd!} onFocus = {onInputFocus} onBlur = {onInputBlur}/>
                    <span className="e-float-line"/>
                    <label className="e-float-text">Password</label>
                </div>
                <div className="button-contain">
                    <button className="e-control e-btn e-info" id="targetButton" role="button" e-ripple="true" onClick = {onSubmit.bind(this)}>Log in</button>
                </div>
            </div>
        </div>
    <DialogComponent id='dialog' header='Success' buttons={buttons} beforeOpen = {validation} content='Congratulations! Login Success' width='250px' isModal={true} ref={dialog => dialogInstance = dialog!} visible={false}
    target='#dialog-target'/></div>
);
}
export default App;